/* BOM precise? 21.11.2007 l.upd.:12.03.2013/J.Fes */
select
 bvr.puid,
 bvr.pis_precise  -- 0=imprecise or 1=precise
from
 infodba.PSTRUCTURE_REVISIONS ps
 left join infodba.PPSBOMVIEWREVISION bvr on (ps.pvalu_0 = bvr.puid)
 left join infodba.PPSBOMVIEW bv on (bvr.rbom_viewu = bv.puid)
 left join infodba.PPSVIEWTYPE bvt on (bvt.puid = bv.rview_typeu)
where
 upper(bvt.pname) = 'VIEW'
 AND ps.puid = :para_ir_puid
